Name:            motion
Version:         4.3.1
Release:         %mkrel 1
Summary:         A highly customizable software motion detector
License:         GPLv2
Group:           Video
URL:             https://github.com/Motion-Project/motion
Source0:         https://github.com/Motion-Project/motion/archive/motion-release-%{version}.tar.xz
BuildRequires: glibc-headers-devel
BuildRequires: lib64ffmpeg-devel
BuildRequires: lib64jpeg-devel
BuildRequires: lib64mariadb-devel
BuildRequires: lib64sqlite3-devel
BuildRequires: lib64webp-devel

%description
Motion is a software motion detector. It grabs images from
video4linux devices and/or from web cams (such as the axis network
cameras). It is the perfect tool for keeping an eye on your
property keeping only those images that are interesting.

%prep
%setup -q -n %{name}-release-%{version}


%build
 autoreconf -fi
%configure2_5x --without-optimizecpu --with-webp
%make_build


%install
rm -rf %buildroot
%make_install

mv %{buildroot}%{_sysconfdir}/%{name}/motion-dist.conf %{buildroot}%{_sysconfdir}/%{name}/motion.conf
chmod 644 %{buildroot}%{_sysconfdir}/%{name}/motion.conf

rm -rf %{buildroot}/%{_datadir}/doc/

%find_lang %{name}

%files -f %{name}.lang
%config(noreplace) %{_sysconfdir}/%{name}/motion.conf
%config(noreplace) %{_sysconfdir}/%{name}/camera*-dist.conf
%{_bindir}/motion
%{_mandir}/man1/motion.1*


%changelog
* Wed Apr 15 2020 tex - 4.3.1-1pclos2020
- new version

* Sun Jun 09 2019 tex - 4.2.2-1pclos2019
- new version

* Thu Dec 07 2017 bb2 <bb2> - 4.1-1pclos2017
- new version

* Wed Mar 08 2017 bb2 <bb2> - 4.0.1-2pclos2017
- rebuild for new ffmpeg

* Fri Feb 24 2017 bb2 <bb2> - 4.0.1-1pclos2017
- new version
